# List

## List Image Gen Templates

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/list/templates`

Get a list of image gen templates to use for /gen/{template}

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "code": 200,
    "message": "",
    "list" [
        "welcome"
    ]
}
```

{% endtab %}
{% endtabs %}

## List Welcome Banners

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/list/banners`

Get a list of welcome background banners to use for /gen/welcome

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "code": 200,
    "message": "",
    "list" [
        "space"
    ]
}
```

{% endtab %}
{% endtabs %}

## List Welcome Icons

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/list/icons`

Get a list of welcome icons to use for /gen/welcome

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "code": 200,
    "message": "",
    "list" [
        "nyancat"
    ]
}
```

{% endtab %}
{% endtabs %}

## List Fonts

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/list/fonts`

Get a list of fonts to use for /gen/custom

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "code": 200,
    "message": "",
    "list" [
        "Future Earth"
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/endpoints/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
